Download it now!
Bug 31163 - Spreadsheet: Anchor To Cell does not work with Freeform Line
Summary: Spreadsheet: Anchor To Cell does not work with Freeform Line
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-27 08:23 UTC by hp2001x
Modified: 2011-12-22 05:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hp2001x 2010-10-27 08:23:30 UTC
Description: when a Freeform Line is drawn on a spreadsheet, and the "Anchor To Cell" option is chosen, the Freeform Line remains anchored to the page, not the cell.

How to duplicate this bug:
1. in an empty sheet, enter “test” as text in a cell. This will serve as a point of reference.
2. in the drawing toolbar, select the Freeform Line tool (icon with yellow pencil and scribble)
3. use the Freeform Line tool to make a small wavy line in the cell to the right of the cell containing “test”
4. select and right-click on the line you just drew
5. choose Anchor, To Cell
6. Insert a row above the cells you just edited (highlight a cell above the row containing “test” and your line and choose Insert, Rows)
7. UNEXPECTED BEHAVIOR: Notice how the text cell moves down, but the line remains in the same position on the page; the line is anchored to the page, not to the cell. The expected behavior would be for the text AND the line to move down, since both items should be anchored to a cell.

Note: Anchor To Cell DOES behave correctly with other tools in the Drawing Toolbar (Rectangle, Ellipse, Basic Shapes, etc.)
Comment 1 Noel Power 2010-10-28 04:07:02 UTC
can't reproduce ( behaves as expected ) are you using beta1 or beta2, I'm using beta2 with opensuse11.3 and I see the test text and freeform line shifted to the next row on every insert. If you aren't using beta2 can you try beta2 now? or if you are using beta2 maybe give us some more info regarding your distro, system etc,
Comment 2 Rainer Bielefeld Retired 2011-01-22 09:15:19 UTC
NOT reproducible with "LibreOffice 3.3.0 RC4 - WIN7  Home Premium (64bit) German UI  [OOO330m19 (build 6 / tag 3.3.0.4)]"

Closing Bug due to reporter's inactivity as WFM.

@reporter:
Please feel free to reopen this Bug if you find out that the problem still exists in the latest release of LibO and if you can provide requested additional information, especially a sample document
Comment 3 Björn Michaelsen 2011-12-22 05:36:04 UTC
Remove infoprovider from closed and resolved bugs.
Comment 4 Björn Michaelsen 2011-12-22 05:49:58 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.